aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorMatt Corallo <git@bluematt.me>2015-10-22 19:50:01 -0700
committerMatt Corallo <git@bluematt.me>2015-10-22 19:50:01 -0700
commit27252b73894d00f9dbe27b664159b2a999683069 (patch)
treeae6de034486e9a3b01c058a998b56474238c3752 /contrib
parentf2c869aef2e717ba61b9335f198322f6a4d1a12d (diff)
downloadbitcoin-27252b73894d00f9dbe27b664159b2a999683069.tar.xz
Fix pre-push-hook regexes
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/verify-commits/pre-push-hook.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/contrib/verify-commits/pre-push-hook.sh b/contrib/verify-commits/pre-push-hook.sh
index 607c0cac45..c57222818a 100755
--- a/contrib/verify-commits/pre-push-hook.sh
+++ b/contrib/verify-commits/pre-push-hook.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-if ! [[ "$2" =~ [git@]?[www.]?github.com[:|/]bitcoin/bitcoin[.git]? ]]; then
+if ! [[ "$2" =~ ^(git@)?(www.)?github.com(:|/)bitcoin/bitcoin(.git)?$ ]]; then
exit 0
fi